<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:15 CEST 2014 -->
<title>fr.inria.alpage.frmgcm.search</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="fr.inria.alpage.frmgcm.search";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/gm/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/server/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;fr.inria.alpage.frmgcm.search</h1>
<div class="docSummary">
<div class="block">This package encompass the classes handling search operations over elasticsearch index using dpath query language.</div>
</div>
<p>See:&nbsp;<a href="#package_description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathSearchFunction</a></td>
<td class="colLast">
<div class="block">Common interface for function that define a search unit (navigation, filter, test)</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearch.html" title="class in fr.inria.alpage.frmgcm.search">AsyncSearch</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearch.QueryCacheIndex.html" title="class in fr.inria.alpage.frmgcm.search">AsyncSearch.QueryCacheIndex</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager</a></td>
<td class="colLast">
<div class="block">This class handles operations over dpath macro/signatures</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a></td>
<td class="colLast">
<div class="block">This class reflects the mongo db object used to store a dpath macro</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod</a></td>
<td class="colLast">
<div class="block">This class handle dpath query search</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a></td>
<td class="colLast">
<div class="block">Get from the result of an elasticsearch hit (from the prefetch), the base material for the query</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></td>
<td class="colLast">
<div class="block">Unit of search for DPath query language</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathCoord.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathCoord</a></td>
<td class="colLast">
<div class="block">Apply union or intersection between dpath expression</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathExpression.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathExpression</a></td>
<td class="colLast">
<div class="block">Evaluate a dpath expression</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathFilter.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathFilter</a></td>
<td class="colLast">
<div class="block">Filter an entry set using the mapped result of search units process list applied over the entry set</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathNavigate.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathNavigate</a></td>
<td class="colLast">
<div class="block">Generate a new set from the entry set using predefined navigation axis</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathTest</a></td>
<td class="colLast">
<div class="block">Test a property of node/edge and consequently filter the entry input</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">IndexSearchMod</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../fr/inria/alpage/frmgcm/search/SearchMod.html" title="class in fr.inria.alpage.frmgcm.search">SearchMod</a></td>
<td class="colLast">
<div class="block">This abstract class define a common interface for search modules</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package_description">
<!--   -->
</a>
<h2 title="Package fr.inria.alpage.frmgcm.search Description">Package fr.inria.alpage.frmgcm.search Description</h2>
<div class="block">This package encompass the classes handling search operations over elasticsearch index using dpath query language.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/gm/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/server/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
